Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class TableAutoformatLookSpecifier

    java.lang.Object
      org.apache.poi.hwpf.model.types.TLPAbstractType
          org.apache.poi.hwpf.usermodel.TableAutoformatLookSpecifier

All Implemented Interfaces:
  java.lang.Cloneable, HDFType

    public class TableAutoformatLookSpecifier

extends TLPAbstractType
implements java.lang.Cloneable

Field Summary
`static int` | `SIZE`

Constructor Summary
`TableAutoformatLookSpecifier()`
`TableAutoformatLookSpecifier(byte[] data, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `isEmpty()`

Methods inherited from class org.apache.poi.hwpf.model.types.TLPAbstractType
`getItl, getSize, getTlp_flags, isFBestFit, isFBorders, isFColor, isFFont, isFHdrRows, isFLastRow, isFShading, serialize, setFBestFit, setFBorders, setFColor, setFFont, setFHdrRows, setFLastRow, setFShading, setItl, setTlp_flags, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### TableAutoformatLookSpecifier

    public TableAutoformatLookSpecifier()

### TableAutoformatLookSpecifier

    public TableAutoformatLookSpecifier(byte[] data,
                                        int offset)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD